@echo off
rem
rem       Student of MSTU CA in group EC-1-2
rem               Vitaly Novichkov
rem
rem Copyright (C) 2005-2010 NVD's Privacy Servers
rem                All rights protected.
rem

if "%1"=="/?" goto help

rem Найти кусочек текста "1" в файле 2 и записать в файл 3
type %2 | find "%1" > %3

rem Вывести на экран содержимое файла 3
type %3

rem "Печать" найденных строк с сортировкой в файлы "print.txt" и 4
type %3 | sort > print.txt
type %3 | sort > %4
rem del %3

rem "Вывод файла %4 на экран"
type %4

goto exit
:help
echo.
echo Синтаксис:
echo.
echo 9.bat [Значение искомого фрагмента текста] [файл, в котром идът поиск]
echo [Выходной файл - печать найденных строк без сортировки]
echo [Выходной файл - печать найденных строк с сортировкой]
echo.
echo.
:exit
